﻿CREATE DATABASE `Ted`;
USE Ted;
CREATE TABLE `Издательства` (
	`Код издательства` INT PRIMARY KEY,
	`Название издательства` VARCHAR(60) NOT NULL,
	`Город` VARCHAR(30) NOT NULL,
	`Сайт издательства` VARCHAR(30)
);

CREATE TABLE `Книги` (
	ISBN CHAR(20) PRIMARY KEY,
	`ББК` VARCHAR (20), 
	`Название книги` VARCHAR (160) NOT NULL,
	`Код издательства` INT NOT NULL,
	`Год издания` INT NOT NULL,
	`Количество страниц` INT,
	`Цена` INT NOT NULL,
 	FOREIGN KEY (`Код издательства`) REFERENCES  `Издательства` (`Код издательства`) ON DELETE NO ACTION ON UPDATE CASCADE
);

CREATE TABLE `Авторы` (
	`Код автора` INT NOT NULL PRIMARY KEY,
	`ФИО` VARCHAR(40) NOT NULL	
);
CREATE TABLE `Должности` (
	`Код должности` INT  PRIMARY KEY,
	`Наименование` VARCHAR(60) NOT NULL
	);
CREATE TABLE `Книги-Авторы` (
	ISBN CHAR(20),
	`Код автора` INT,
	PRIMARY KEY (ISBN,`Код автора`),
	FOREIGN KEY (`Код автора`) REFERENCES `Авторы` (`Код автора`) ON DELETE NO ACTION ON UPDATE CASCADE,
	FOREIGN KEY (ISBN) REFERENCES `Книги` (ISBN) ON DELETE NO ACTION ON UPDATE CASCADE
);
CREATE TABLE `Экземпляры` (
	`№ инвентарный` INT PRIMARY KEY,
	`ISBN` CHAR(20),
	FOREIGN KEY (ISBN) REFERENCES `Книги` (ISBN) ON DELETE NO ACTION ON UPDATE CASCADE
	);
CREATE TABLE `Настроечная` (
	`Название института` CHAR(60),
	`Юридический адрес` CHAR(70),
	`ФИО руководителя` CHAR(40),
	`Код должности` INT,
	FOREIGN KEY (`Код должности`) REFERENCES `Должности` (`Код должности`) ON DELETE NO ACTION ON UPDATE CASCADE
);
CREATE TABLE `Читательский билет` (
	`№ читательского билета` INT NOT NULL PRIMARY KEY,
	`ФИО` VARCHAR(40) NOT NULL,
	`Телефон` VARCHAR(20),
	`Код должности` INT NOT NULL,
	`Домашний адрес` VARCHAR(120),
	FOREIGN KEY (`Код должности`) REFERENCES `Должности` (`Код должности`) ON DELETE NO ACTION ON UPDATE CASCADE
);
CREATE TABLE `Книговыдача` (
	`№ инвентарный` INT,
	`№ читательского билета` INT,
	`Дата выдачи` DATE,
	`Дата возврата` DATE,
	PRIMARY KEY (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`),
	FOREIGN KEY (`№ читательского билета`) REFERENCES `Читательский билет` (`№ читательского билета`) ON DELETE NO ACTION ON UPDATE CASCADE,
	FOREIGN KEY (`№ инвентарный`) REFERENCES `Экземпляры` (`№ инвентарный`) ON DELETE NO ACTION ON UPDATE CASCADE
);




INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('1','Студент');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('2','Доцент');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('3','Ст.преподаватель');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('4','Ассистент');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('5','Профессор');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('8','Зав.библиотекой');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('9','Библиотекарь');
INSERT INTO `Должности` (`Код должности`,`Наименование`) VALUES ('10','Ректор');

INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('5-279-01941-0','60.6я.73','311(075.В)','Практикум по теории статистики','2001','Финансы и статистика','416','230р.');
INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('5-93196-328-6','65.01c77','373:33','Экономика:Практикум','2004','Финансы и статистика','296','230р.');
INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('5-94723-672-9','22.1я7','51(075)','Математика для экономистов','2007','Питер','464','430р.');
INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('978-5-459-00452-6','22.174я7','519.17(075)','Дискретная математика','2011','Питер','384','400р.');
INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('978-5-94157-703-3','32.973я73','681.3.006+519.6(075.8)','Дискретная математика.Курс лекций и практических занятий','2007','БХВ-Петербург','400','380р.');
INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('978-5-9958-0151-3','65.012.1я73','330.101.542(075.8)','Микроэкономика для продвинутых:задачи и решения:Учебник','2011','ИНФА-М','160','229р.');
INSERT INTO `Книги` (ISBN,`ББК`,`УДК`,`Название книги`,`Год издания`,`Издательство`,`Количество страниц`,`Цена`) VALUES ('978-5-98227-606-3','60.5в6','30','Методы социологического исследования:учебное пособие','2009','ИНФА-М','296','310р.');

INSERT INTO `Авторы` (`Код автора`,`ФИО`) VALUES ('1','Новиков Ф.А');
INSERT INTO `Авторы` (`Код автора`,`ФИО`) VALUES ('2','Шаворев С.Д');
INSERT INTO `Авторы` (`Код автора`,`ФИО`) VALUES ('3','Киреев А.П');
INSERT INTO `Авторы` (`Код автора`,`ФИО`) VALUES ('4','Киреев П.А');
INSERT INTO `Авторы` (`Код автора`,`ФИО`) VALUES ('5','Стариченко Т.Н');
INSERT INTO `Авторы` (`Код автора`,`ФИО`) VALUES ('6','Девятко И.Ф');

INSERT INTO `Издательства` (`Код издательства`,`Название издательства`,`Город`) VALUES ('1','Питер','СПБ');
INSERT INTO `Издательства` (`Код издательства`,`Название издательства`,`Город`) VALUES ('2','БХВ-Петербург','СПБ');
INSERT INTO `Издательства` (`Код издательства`,`Название издательства`,`Город`) VALUES ('3','Финансы и статистика','М');
INSERT INTO `Издательства` (`Код издательства`,`Название издательства`,`Город`) VALUES ('6','ИНФА-М','Новосибирск');

INSERT INTO `Книги` (`№ чит.билета`,`ФИО`,`Телефон`,`Должности`,`Домашний адрес`) VALUES ('1','Иванова С.В','8(495)912-54-18','Студент','432356,Курск,ул.Темерязьева,д.34,кв.24');
INSERT INTO `Книги` (`№ чит.билета`,`ФИО`,`Телефон`,`Должности`,`Домашний адрес`) VALUES ('2','Сидоров С.Ю','8(909)123-34-56','Доцент','432367,Котельники,м-н Силикат,д.45,кв.12');
INSERT INTO `Книги` (`№ чит.билета`,`ФИО`,`Телефон`,`Должности`,`Домашний адрес`) VALUES ('3','Фонвизина А.И','8(904)123-43-56','Зав.библиотекой','333333,Мичуринск,пр-кт Маркса,д.90.кв.342');
INSERT INTO `Книги` (`№ чит.билета`,`ФИО`,`Телефон`,`Должности`,`Домашний адрес`) VALUES ('4','Петров И.С','8(495)911-39-35','Профессор','222234,Москва,ул.Королева,д.12,кв.56');
INSERT INTO `Книги` (`№ чит.билета`,`ФИО`,`Телефон`,`Должности`,`Домашний адрес`) VALUES ('5','Воротенко Н.Ф','8(495)912-54-18','Студент','554567,Нижние Васюки,ул.Ленина,д.56');
INSERT INTO `Книги` (`№ чит.билета`,`ФИО`,`Телефон`,`Должности`,`Домашний адрес`) VALUES ('6','Колосов П.С','8(906)758-84-92','Студент','556544,Москвская облю,с.Куровское,ул Комсомольская');

INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('10533','1','23.12.2012');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('10534','1','02.10.2012','07.12.2012');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('10536','2','23.12.2012','-');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('20010','2','23.12.2012','04.12.2012');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('10564','3','02.10.2012','-');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('20001','4','05.07.2012','-');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('20345','4','22.05.2012','-');
INSERT INTO `Книговыдача` (`№ инвентарный`,`№ читательского билета`,`Дата выдачи`,`Дата возврата`) VALUES ('20346','4','04.06.2012','');

INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10533','978-5-459-00452-6');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10534','978-5-459-00452-6');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10535','978-5-459-00452-6');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10536','978-5-94157-703-3');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10537','978-5-94157-703-3');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10564','5-279-01941-0');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10565','5-279-01941-0');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('10566','5-279-01941-0');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20001','5-93196-328-6');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20002','5-93196-328-6');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20010','5-94723-672-9');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20011','978-5-98227-606-3');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20012','978-5-98227-606-3');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20345','978-5-9558-0151-3');
INSERT INTO `Экземпляры` (`№ инвентарный`,ISBN) VALUES ('20346','978-5-9558-0151-3');

INSERT INTO `Книги-Авторы` (ISBN,`Авторы`) VALUES ('5-279-01941-0','Шаворев С.Д');
INSERT INTO `Книги-Авторы` (ISBN,`Код автора`) VALUES ('5-279-01941-0','Киреев А.П');
INSERT INTO `Книги-Авторы` (ISBN,`Код автора`) VALUES ('5-279-01941-0','Стариченко Т.Н');
INSERT INTO `Книги-Авторы` (ISBN,`Код автора`) VALUES ('5-93196-328-6','Стариченко Т.Н');
INSERT INTO `Книги-Авторы` (ISBN,`Код автора`) VALUES ('5-94723-672-9','Новиков Ф.А');
INSERT INTO `Книги-Авторы` (ISBN,`Код автора`) VALUES ('5-94723-672-9','Киреев А.П');
INSERT INTO `Книги-Авторы` (ISBN,`Код автора`) VALUES ('978-5-459-00452-6','Новиков Ф.А');
INSERT INTO `Книги-авторы` (ISBN,`Код автора`) VALUES ('978-5-94157-703-3','Шаворев С.Д');
INSERT INTO `Книги-авторы` (ISBN,`Код автора`) VALUES ('978-5-9558-0151-3','Киреев А.П');
INSERT INTO `Книги-авторы` (ISBN,`Код автора`) VALUES ('978-5-9558-0151-3','Киреев П.А');
INSERT INTO `Книги-авторы` (ISBN,`Код автора`) VALUES ('978-5-98227-606-3','Девятко И.Ф');










